#
# spec file for package xfileman (Version 0.4.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xfileman
Copyright:    1999 - not specified
Group:        X11/Utilities
Provides:     xfilemanager 
Autoreqprov:  on
Version:      0.4.1
Release:      407
Summary:      Filemanager for X11
Source: xfilemanager-0.4.1.tar.gz
Patch: xfilemanager-0.4.1.dif
Patch1: sf_warnings.dif

%description
Xfilemanager is an X11 based Unix file manager with full color displays.

Authors:
--------
    Ove Kalkan <kalkan@ramz.ing.tu-bs.de>

SuSE series: xap

%prep
%setup -n xfilemanager
%patch
%patch1

%build
xmkmf -a
make

%install
make install
make install.man
mkdir -p /usr/lib/xfilemanager
cp -a icons /usr/lib/xfilemanager
cp -a DOC /usr/lib/xfilemanager
chmod -R +r /usr/lib/xfilemanager
mkdir -p %{_defaultdocdir}/xfilemanager
cd %{_defaultdocdir}/xfilemanager && ln -sf ../../../../lib/xfilemanager/DOC 

%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/X11R6/lib/X11/app-defaults
%dir %{_defaultdocdir}/xfilemanager
%dir /usr/lib/xfilemanager
%dir /usr/lib/xfilemanager/DOC
%dir /usr/lib/xfilemanager/icons
/usr/X11R6/bin/xfilemanager
%config /usr/X11R6/lib/X11/app-defaults/Xfilemanager
%doc /usr/X11R6/man/man1/xfilemanager.1x.gz
%doc %{_defaultdocdir}/xfilemanager/DOC
%doc /usr/lib/xfilemanager/DOC/xfilemanager.tex
/usr/lib/xfilemanager/icons/animation.xbm
/usr/lib/xfilemanager/icons/binary.xbm
/usr/lib/xfilemanager/icons/compress.xbm
/usr/lib/xfilemanager/icons/compressor.xbm
/usr/lib/xfilemanager/icons/decompressor.xbm
/usr/lib/xfilemanager/icons/dev_cdrom.xpm
/usr/lib/xfilemanager/icons/dev_hfloppy.xpm
/usr/lib/xfilemanager/icons/dev_lfloppy.xpm
/usr/lib/xfilemanager/icons/dev_printer.xbm
/usr/lib/xfilemanager/icons/dir_closed.xpm
/usr/lib/xfilemanager/icons/dir_locked.xpm
/usr/lib/xfilemanager/icons/dir_opened.xpm
/usr/lib/xfilemanager/icons/dragon.xpm
/usr/lib/xfilemanager/icons/file_bin.xbm
/usr/lib/xfilemanager/icons/file_bin.xpm
/usr/lib/xfilemanager/icons/file_compressed.xbm
/usr/lib/xfilemanager/icons/file_compressed.xpm
/usr/lib/xfilemanager/icons/file_core.xbm
/usr/lib/xfilemanager/icons/file_core.xpm
/usr/lib/xfilemanager/icons/file_ctar.xbm
/usr/lib/xfilemanager/icons/file_ctar.xpm
/usr/lib/xfilemanager/icons/file_dlink.xpm
/usr/lib/xfilemanager/icons/file_dvi.xbm
/usr/lib/xfilemanager/icons/file_dvi.xpm
/usr/lib/xfilemanager/icons/file_exec.xpm
/usr/lib/xfilemanager/icons/file_graph.xbm
/usr/lib/xfilemanager/icons/file_graph.xpm
/usr/lib/xfilemanager/icons/file_link.xpm
/usr/lib/xfilemanager/icons/file_lock.xpm
/usr/lib/xfilemanager/icons/file_movie.xbm
/usr/lib/xfilemanager/icons/file_movie.xpm
/usr/lib/xfilemanager/icons/file_pix.xbm
/usr/lib/xfilemanager/icons/file_pix.xpm
/usr/lib/xfilemanager/icons/file_plain.xpm
/usr/lib/xfilemanager/icons/file_root.xpm
/usr/lib/xfilemanager/icons/file_source.xbm
/usr/lib/xfilemanager/icons/file_source.xpm
/usr/lib/xfilemanager/icons/file_tar.xbm
/usr/lib/xfilemanager/icons/file_tar.xpm
/usr/lib/xfilemanager/icons/file_text.xbm
/usr/lib/xfilemanager/icons/file_text.xpm
/usr/lib/xfilemanager/icons/floppy3.xpm
/usr/lib/xfilemanager/icons/ftp.xbm
/usr/lib/xfilemanager/icons/mail.xpm
/usr/lib/xfilemanager/icons/news.xbm
/usr/lib/xfilemanager/icons/picture.xbm
/usr/lib/xfilemanager/icons/printer.xbm
/usr/lib/xfilemanager/icons/source.xbm
/usr/lib/xfilemanager/icons/texteditor.xbm
/usr/lib/xfilemanager/icons/xconq.xpm
/usr/lib/xfilemanager/icons/xdesigner.xpm
/usr/lib/xfilemanager/icons/xedit.xpm
/usr/lib/xfilemanager/icons/xlogo.xpm
/usr/lib/xfilemanager/icons/xmore.xpm
/usr/lib/xfilemanager/icons/xterm.xpm

%changelog -n xfileman
* Thu May 17 2001 - fehr@suse.de
- fix pointer-cast-warnings on 64bit archs
* Wed Feb 07 2001 - fehr@suse.de
- make it compile with new glibc
* Mon Nov 20 2000 - fehr@suse.de
- add group tag
* Fri May 26 2000 - fehr@suse.de
- move documentation to /usr/share/doc/packages
* Fri May 26 2000 - fehr@suse.de
- move documentation to /usr/share/doc/packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 09 1997 - fehr@suse.de
- make symbolic link in /usr/doc/packages relative
